DKBSignDocs

API reference

POSTPublic

Send external identity code

/api/v1/public/external-identity/code

Always returns 202 (anti-enumeration). If a profile exists for the email, a 6-digit code is sent. Throttled (3/min). No Bearer token.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
email
Required
stringExternal signer email.
e.g. "signer@acme.test"

Responses

StatusMeaning
202See the example response.
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v1/public/external-identity/code' \
  -H 'Content-Type: application/json' \
  -d '{"email":"signer@acme.test"}'

Response 202

json
{
  "status": "success",
  "message": "Si un profil existe pour cette adresse, un code vient de vous être envoyé."
}